Base Module: IBStreamer Class Reference
Author: Steinberg

Base Module VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
IBStreamer Class Reference

Wrapper class for typed reading/writing from or to IBStream. More...

`#include <fstreamer.h>`

Inheritance diagram for IBStreamer:

## Public Member Functions
| IBStreamer (IBStream *stream, int16 byteOrder=BYTEORDER)
| Constructor for a given IBSTream and a byteOrder. More...
IBStream * | getStream ()
| Returns the associated IBStream. More...
TSize | readRaw (void *, TSize) SMTG_OVERRIDE
| Read one buffer of size. More...
TSize | writeRaw (const void *, TSize) SMTG_OVERRIDE
| Write one buffer of size. More...
int64 | seek (int64, FSeekMode) SMTG_OVERRIDE
| Set file position for stream. More...
int64 | tell () SMTG_OVERRIDE
| Return current file position. More...
Public Member Functions inherited from FStreamer
| FStreamer (int16 byteOrder=BYTEORDER)
virtual | ~FStreamer ()
bool | skip (uint32 bytes)
bool | pad (uint32 bytes)
void | setByteOrder (int32 e)
int32 | getByteOrder () const
bool | writeChar8 (char8)
bool | readChar8 (char8 &)
bool | writeUChar8 (unsigned char)
bool | readUChar8 (unsigned char &)
bool | writeChar16 (char16 c)
bool | readChar16 (char16 &c)
bool | writeInt8 (int8 c)
bool | readInt8 (int8 &c)
bool | writeInt8u (uint8 c)
bool | readInt8u (uint8 &c)
bool | writeInt16 (int16)
bool | readInt16 (int16 &)
bool | writeInt16Array (const int16 *array, int32 count)
bool | readInt16Array (int16 *array, int32 count)
bool | writeInt16u (uint16)
bool | readInt16u (uint16 &)
bool | writeInt16uArray (const uint16 *array, int32 count)
bool | readInt16uArray (uint16 *array, int32 count)
bool | writeInt32 (int32)
bool | readInt32 (int32 &)
bool | writeInt32Array (const int32 *array, int32 count)
bool | readInt32Array (int32 *array, int32 count)
bool | writeInt32u (uint32)
bool | readInt32u (uint32 &)
bool | writeInt32uArray (const uint32 *array, int32 count)
bool | readInt32uArray (uint32 *array, int32 count)
bool | writeInt64 (int64)
bool | readInt64 (int64 &)
bool | writeInt64Array (const int64 *array, int32 count)
bool | readInt64Array (int64 *array, int32 count)
bool | writeInt64u (uint64)
bool | readInt64u (uint64 &)
bool | writeInt64uArray (const uint64 *array, int32 count)
bool | readInt64uArray (uint64 *array, int32 count)
bool | writeFloat (float)
bool | readFloat (float &)
bool | writeFloatArray (const float *array, int32 count)
bool | readFloatArray (float *array, int32 count)
bool | writeDouble (double)
bool | readDouble (double &)
bool | writeDoubleArray (const double *array, int32 count)
bool | readDoubleArray (double *array, int32 count)
bool | writeBool (bool)
| Write one boolean. More...
bool | readBool (bool &)
| Read one bool. More...
TSize | writeString8 (const char8 *ptr, bool terminate=false)
| a direct output function writing only one string (ascii 8bit) More...
TSize | readString8 (char8 *ptr, TSize size)
| a direct input function reading only one string (ascii) (ended by a or \0 or eof) More...
bool | writeStr8 (const char8 *ptr)
| write a string length (strlen) and string itself More...
char8 * | readStr8 ()
| read a string length and string text (The return string must be deleted when use is finished) More...
bool | writeStringUtf8 (const char *ptr)
| always terminated, converts to utf8 if non ascii characters are in string More...
int32 | readStringUtf8 (char *ptr, int32 maxSize)
| read a UTF8 string More...

## Protected Attributes
IBStream * | stream
Protected Attributes inherited from FStreamer
int16 | byteOrder

## Additional Inherited Members
Static Public Member Functions inherited from FStreamer
static int32 | getStr8Size (const char8 *ptr)
| returns the size of a saved string More...

## Detailed Description

Wrapper class for typed reading/writing from or to IBStream.

Can be used framework-independent in plug-ins.

## Constructor & Destructor Documentation

## ◆ IBStreamer()

IBStreamer | ( | IBStream * | stream,
|  | int16 | byteOrder = `BYTEORDER`
| ) |  |

Constructor for a given IBSTream and a byteOrder.

## Member Function Documentation

## ◆ getStream()

IBStream * getStream | ( |  | ) |
| inline

Returns the associated IBStream.

## ◆ readRaw()

TSize readRaw | ( | void * | buffer,
|  | TSize | size
| ) |  |
| virtual

Read one buffer of size.

Implements FStreamer.

## ◆ writeRaw()

TSize writeRaw | ( | const void * | buffer,
|  | TSize | size
| ) |  |
| virtual

Write one buffer of size.

Implements FStreamer.

## ◆ seek()

int64 seek | ( | int64 | pos,
|  | FSeekMode | mode
| ) |  |
| virtual

Set file position for stream.

Implements FStreamer.

## ◆ tell()

int64 tell | ( |  | ) |
| virtual

Return current file position.

Implements FStreamer.

## Member Data Documentation

## ◆ stream

IBStream* stream
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.